Get Shipment - Fabric

Get Shipment

cURL

curl --request GET \
  --url https://prod01.oms.fabric.inc/api/v2/shipment/{shipmentId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'

Python

import requests

url = "https://prod01.oms.fabric.inc/api/v2/shipment/{shipmentId}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/shipment/{shipmentId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Possible Response Codes

Sample Response

{
  "shipmentId": "627963716b19511e8a3a631b",
  "shipmentNum": "78974156816152",
  "invoiceId": "5674156816152",
  "allocationId": "112345678912340",
  "orderNumber": [
    "112345678912340",
    "112345678912340"
  ],
  "poNumber": "1125",
  "vendorId": "56",
  "statusCode": "SHIPPED",
  "type": "STANDARD",
  "reshipmentReasonCode": "Order went missing",
  "shipDate": "2022-06-06T07:58:30.996Z",
  "locationNum": "132412",
  "locationType": "DC",
  "totalCartons": 2,
  "masterTrackingNumber": "TX112345678",
  "shipToId": "1",
  "shipToAddress": {
    "addressLine1": "888 Broadway",
    "addressLine2": "505 suite",
    "city": "New York",
    "state": "NY",
    "country": "USA",
    "postalCode": "1003"
  },
  "recipient": [
    {
      "name": {
        "first": "John",
        "last": "Doe"
      },
      "email": "support@abc.inc",
      "phone": {
        "number": 10612345678,
        "type": "MOBILE"
      }
    }
  ],
  "cartons": [
    {
      "cartonNum": "1",
      "cartonType": "Package",
      "promisedDeliveryDate": "2022-05-26T07:58:30.996Z",
      "estimatedShipDate": "2022-05-25T07:58:30.996Z",
      "estimatedDeliveryDate": "2022-05-26T07:58:30.996Z",
      "shipmentMethod": "ground",
      "shipmentCarrier": "FEDEX",
      "weight": "500 gram",
      "trackingNumber": "1Z999AA10123456784",
      "trackingURL": "https://fedex.com/tracking"
    }
  ],
  "createdAt": "2022-06-06T07:58:30.996Z",
  "updatedAt": "2022-06-06T07:58:30.996Z"
}